Page MenuHomePhabricator

[Task] Use services from WikibaseDataModelServices added in 1.1.0 release
Closed, ResolvedPublic

Description

See the release notes:
https://github.com/wmde/WikibaseDataModelServices/blob/f2f116d6c1d0cd140588eb084a6cac12a3543ece/RELEASE-NOTES.md

  • DataValue\ValuesFinder
  • Entity\EntityPrefetcher
  • Entity\EntityRedirectResolvingDecorator
  • Entity\NullEntityPrefetcher
  • EntityId\EntityIdFormatter
  • EntityId\EntityIdLabelFormatter
  • EntityId\EscapingEntityIdFormatter
  • EntityId\PlainEntityIdFormatter
  • EntityId\SuffixEntityIdParser
  • Lookup\EntityLookup
  • Lookup\EntityRedirectLookup
  • Lookup\EntityRetrievingDataTypeLookup
  • Lookup\EntityRetrievingTermLookup
  • Lookup\LabelDescriptionLookup
  • Lookup\LanguageLabelDescriptionLookup
  • Lookup\TermLookup
  • Statement\StatementGuidValidator
  • Tern\PropertyLabelResolver
  • Term\TermBuffer

Event Timeline

Addshore created this task.Aug 13 2015, 4:52 PM
Addshore claimed this task.
Addshore raised the priority of this task from to Normal.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 4:52 PM
Addshore set Security to None.Aug 13 2015, 4:53 PM
Addshore added a subscriber: JeroenDeDauw.

Most of these have been used in:

Still to use are:

  • PropertyLabelResolver
  • TermBuffer
  • UnresolvedRedirectException

Those these require some untangaling of the use of exceptions and may be blocked until a future release of DMS

What is the state of this one?

Addshore removed Addshore as the assignee of this task.Nov 21 2015, 7:41 PM
JeroenDeDauw closed this task as Resolved.Dec 8 2015, 10:41 AM
JeroenDeDauw claimed this task.

This this is done. Please reopen if not the case